# HSMAPFIX - Fix too-wide Hectospec fiber map file
# May 12, 2005
# By Doug Mink, SAO Telescope Data Center

procedure hsmapfix (mapfile)

file	mapfile = ""	{prompt="Hectospec fiber map file"}

bool	saveold = yes	{prompt="Save original map file (yes or no)"}

begin
    file mf, newfile, tempfile
    bool sv

	sv = saveold
	mf = mapfile
	tempfile = mktemp ("map")
	hsmapf (mf, > tempfile)

# Move original file to Oldmap directory
	if (sv) {
	    if (!access ("Oldmap")) {
		mkdir ("Oldmap")
		}
	    newfile = "Oldmap/" // mf
	    if (access (newfile)) {
		delete (newfile)
		}
	    move (mf, "Oldmap")
	    }
	else {
	    delete (mf)
	    }

	mv (tempfile, mf)

end

# Jun  8 2004	New script to run awk script

# May 12 2005	Add option to save original map file
